
// --------------------------------
// File    : sample_clientshell.h
// Function: Class definition for actual sample shell
// --------------------------------


#ifndef __SAMPLE_CLIENTSHELL_H__
#define __SAMPLE_CLIENTSHELL_H__

#include "effectmanager.h"

class CSampleClientShell : public CClientShellDE
{
	public:

					CSampleClientShell();

		// Overrides from CClientShellDE.
		virtual void OnEngineInitialized();
		virtual void SetupSound(InitSoundInfo *pSoundInitInfo);

		virtual void PreUpdate();
		virtual void Update();

		virtual void OnEnterWorld();
		virtual void OnExitWorld();

		virtual void OnCommandOn(int command);

		virtual void SpecialEffectNotify(HLOCALOBJ hObj, HMESSAGEREAD hMessage);

	protected:
		HLOCALOBJ		m_hCamera;
		ClientPlayer	m_Player;
		EffectManager	m_EffectMgr;
		DBOOL			m_bFirst;
};


#endif  // __SAMPLE_CLIENTSHELL_H__




