// --------------------------------
// File    : PlayerChar.h
// Function: A basic player model who can be moved around the world.
//         : Inspired by/based on Ashley Matheson's ChaseCam tutorial.
//         : Thanks, Ash. :)
// --------------------------------

#ifndef __PLAYERCHAR_H__
#define __PLAYERCHAR_H__
#include "basetypes_de.h"

	class PlayerChar : public BaseClass
	{
		public:

			DDWORD EngineMessageFn(DDWORD messageID, void *pData, DFLOAT lData);
			
			// The client associated with this player.
			HCLIENT	m_hClient;

			// indexes for animations
			DDWORD m_WalkIndex;
			DDWORD m_StandIndex;
			DDWORD m_SneakIndex;
			DDWORD m_CurrentAnimationIndex;
			
	};


#endif  // __PLAYERCHAR_H__


