// --------------------------------
// File    : WaterSpraySource.h
// Function: Dummy object used as the location/dimensions for the
//         : waterspray client-side effect.
// --------------------------------


#ifndef __WATERSPRAYSOURCE_H
#define __WATERSPRAYSOURCE_H

class WaterSpraySource : public BaseClass
{
	public:
		// Engine message handlers
		DDWORD EngineMessageFn(DDWORD messageID, void *pData, DFLOAT lData);

	protected:
		DVector		m_vDims;
		DBYTE		m_byThick;
};

#endif // __WATERSPRAYSOURCE_H