// --------------------------------
// File    : LensFlare.h
// Function: C++ Class definition for the LensFlare 'Effect'
//         : for the Lithtech demo.
// --------------------------------

#ifndef __LENSFLARE_H
#define __LENSFLARE_H

#include "effect.h"

extern "C" {
	#include "c_lensflare.h"
}

class LensFlare : public Effect 
{
	private:
		HLENSFLARE  m_hFlare;      // Handle to our lensflare

	public:

		LensFlare();
		~LensFlare() { Destroy(); };

		virtual DBOOL	Init(ClientPlayer *pPlayer, HLOCALOBJ hObj, DBYTE byType, HMESSAGEREAD hMessage);

		virtual DBOOL	Update();
		virtual void	Destroy() { DestroyFlare(); };

	private:
		void	CreateFlare(HLOCALOBJ hObj);
		void	DestroyFlare();
};

#endif // __LENSFLARE_H