
// --------------------------------
// File    : WaterSpray.h
// Function: C++ class definition for the WaterSpray effect for the Lithtech demo.
//         : (Waterspray being the small bubbles where a waterfall meets water.)
// --------------------------------


#ifndef __WATERSPRAY_H
#define __WATERSPRAY_H

#include "effect.h"

class WaterSpray : public Effect
{
	private:
		DVector		m_vDims;
		DBYTE		m_byThick;
		int			m_iCounter;

	public:

		WaterSpray();
		~WaterSpray() { Destroy(); };

		virtual DBOOL	Init(ClientPlayer *pPlayer, HLOCALOBJ hObj, DBYTE byType, HMESSAGEREAD hMessage);

		virtual DBOOL	Update();
		virtual void	Destroy();
};


#endif // __WATERSPRAY_H