
// --------------------------------
// File    : TorchSource.h
// Function: Dummy object used as the location/dimensions for the
//         : torch client-side effect.
// --------------------------------

#ifndef __TORCHSOURCE_H
#define __TORCHSOURCE_H

class TorchSource : public BaseClass
{
	public:
		// Engine message handlers
		DDWORD EngineMessageFn(DDWORD messageID, void *pData, DFLOAT lData);

	protected:
		DVector		SystemBase;
		float		LightRadius;
		float		LightDuration;
		DBOOL		Complex;

		float Rad1, Rad2; // Attractor Path Radii
		int spiral1_Rate, spiral2_Rate;// Attractor Path rates
};

#endif // __TORCHSOURCE_H